# Bet Placement

In order for a bet to be placed, you are required to send a bet placement request to the betplacement API endpoint&#x20;

{% content-ref url="/pages/2l7cTFxJAk5U4UAqv2Er" %}
[Bets API](/odds88-client-api/odds88-api-endpoints/bets-api.md)
{% endcontent-ref %}

The following properties are required to have specific value in order for the bet to be accepted:\
`eventId`: ID of the event\
`marketId`: ID of the market\
`selectionId`: `-1`\
`racingSelection`: name of market and combination. Example:&#x20;

* `EXACTA 1/2`
* **`TRIFECTA 1/2/3`**
* **`QUINELLA 1.2`**

{% hint style="warning" %}
Fixed Exotics **cannot** be combined in a multibet and will be rejected by Odds88.
{% endhint %}

Example of placing bet on Greyhound Trifecta:

```json
{
  "id": "string",
  "player": {
    "deviceId": "string",
    "languageId": "English",
    "ip": "123.123.123.123",
    "segmentId": 1234,
    "channel": "string"
  },
  "amount": {
    "currency": "USD",
    "value": 50000,
    "precision": 4
  },
  "priceChange": 2,
  "items": [
    {
      "eventId": 400140,
      "marketId": 20714470,
      "selectionId": -1,
      "racingSelection": "TRIFECTA 3/4/1",
      "price": 501
    }
  ]
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.odds88.io/integration-process/recommended-integration-flow/optional-features/fixed-exotics-integration/bet-placement.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
